Fetch Tiering Cost - Post

Provides the details of the tiering related sizes and cost. Status of the operation can be fetched using GetTieringCostOperationStatus API and result using GetTieringCostOperationResult API.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/backupTieringCost/default/fetchTieringCost?api-version=2026-10-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

vaultName
path True

string

minLength: 2
maxLength: 50
pattern: ^[A-Za-z][-A-Za-z0-9]*[A-Za-z0-9]$

The name of the recovery services vault.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

The request body can be one of the following:

Name Description
FetchTieringCostInfoForRehydrationRequest

Request parameters for fetching cost info of rehydration

FetchTieringCostSavingsInfoForPolicyRequest

Request parameters for tiering cost info for policy

FetchTieringCostSavingsInfoForProtectedItemRequest

Request parameters for tiering cost info for protected item

FetchTieringCostSavingsInfoForVaultRequest

Request parameters for tiering cost info for vault

FetchTieringCostInfoForRehydrationRequest

Request parameters for fetching cost info of rehydration

Name Required Type Description
containerName True

string

Name of the protected item container

objectType True string:

FetchTieringCostInfoForRehydrationRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

protectedItemName True

string

Name of the protectedItemName

recoveryPointId True

string

ID of the backup copy for rehydration cost info needs to be fetched.

rehydrationPriority True

RehydrationPriority

Rehydration Priority

sourceTierType True

RecoveryPointTierType

Source tier for the request

targetTierType True

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForPolicyRequest

Request parameters for tiering cost info for policy

Name Required Type Description
objectType True string:

FetchTieringCostSavingsInfoForPolicyRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

policyName True

string

Name of the backup policy for which the cost savings information is requested

sourceTierType True

RecoveryPointTierType

Source tier for the request

targetTierType True

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForProtectedItemRequest

Request parameters for tiering cost info for protected item

Name Required Type Description
containerName True

string

Name of the protected item container

objectType True string:

FetchTieringCostSavingsInfoForProtectedItemRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

protectedItemName True

string

Name of the protectedItemName

sourceTierType True

RecoveryPointTierType

Source tier for the request

targetTierType True

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForVaultRequest

Request parameters for tiering cost info for vault

Name Required Type Description
objectType True string:

FetchTieringCostSavingsInfoForVaultRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

sourceTierType True

RecoveryPointTierType

Source tier for the request

targetTierType True

RecoveryPointTierType

target tier for the request

Responses

Name Type Description
200 OK TieringCostInfo:

Azure operation completed successfully.

202 Accepted

Accepted

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get the rehydration cost for recovery point
Get the tiering savings cost info for policy
Get the tiering savings cost info for protected item
Get the tiering savings cost info for vault

Get the rehydration cost for recovery point

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/fetchTieringCost?api-version=2026-10-01

{
  "containerName": "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
  "objectType": "FetchTieringCostInfoForRehydrationRequest",
  "protectedItemName": "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
  "recoveryPointId": "1222343434",
  "rehydrationPriority": "High",
  "sourceTierType": "ArchivedRP",
  "targetTierType": "HardenedRP"
}

Sample response

{
  "objectType": "TieringCostRehydrationInfo",
  "rehydrationSizeInBytes": 1204000,
  "retailRehydrationCostPerGBPerMonth": 0.02
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Retry-After: 60

Get the tiering savings cost info for policy

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/fetchTieringCost?api-version=2026-10-01

{
  "objectType": "FetchTieringCostSavingsInfoForPolicyRequest",
  "policyName": "monthly",
  "sourceTierType": "HardenedRP",
  "targetTierType": "ArchivedRP"
}

Sample response

{
  "objectType": "TieringCostSavingInfo",
  "retailSourceTierCostPerGBPerMonth": 0.02,
  "retailTargetTierCostPerGBPerMonth": 0.003,
  "sourceTierSizeReductionInBytes": 1204000,
  "targetTierSizeIncreaseInBytes": 1892
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Retry-After: 60

Get the tiering savings cost info for protected item

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/fetchTieringCost?api-version=2026-10-01

{
  "containerName": "IaasVMContainer;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
  "objectType": "FetchTieringCostSavingsInfoForProtectedItemRequest",
  "protectedItemName": "VM;iaasvmcontainerv2;netsdktestrg;netvmtestv2vm1",
  "sourceTierType": "HardenedRP",
  "targetTierType": "ArchivedRP"
}

Sample response

{
  "objectType": "TieringCostSavingInfo",
  "retailSourceTierCostPerGBPerMonth": 0.02,
  "retailTargetTierCostPerGBPerMonth": 0.003,
  "sourceTierSizeReductionInBytes": 1204000,
  "targetTierSizeIncreaseInBytes": 1892
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Retry-After: 60

Get the tiering savings cost info for vault

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/fetchTieringCost?api-version=2026-10-01

{
  "objectType": "FetchTieringCostSavingsInfoForVaultRequest",
  "sourceTierType": "HardenedRP",
  "targetTierType": "ArchivedRP"
}

Sample response

{
  "objectType": "TieringCostSavingInfo",
  "retailSourceTierCostPerGBPerMonth": 0.02,
  "retailTargetTierCostPerGBPerMonth": 0.003,
  "sourceTierSizeReductionInBytes": 1204000,
  "targetTierSizeIncreaseInBytes": 1892
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationsStatus/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/netsdktestrg/providers/Microsoft.RecoveryServices/vaults/testVault/backupTieringCost/default/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-02-01
Retry-After: 60

Definitions

Name Description
ErrorDetail

Error Detail class which encapsulates Code, Message and Recommendations.

ErrorResponse

Error response

FetchTieringCostInfoForRehydrationRequest

Request parameters for fetching cost info of rehydration

FetchTieringCostSavingsInfoForPolicyRequest

Request parameters for tiering cost info for policy

FetchTieringCostSavingsInfoForProtectedItemRequest

Request parameters for tiering cost info for protected item

FetchTieringCostSavingsInfoForVaultRequest

Request parameters for tiering cost info for vault

RecoveryPointTierType

Recovery point tier type.

RehydrationPriority

Rehydration Priority

TieringCostRehydrationInfo

Response parameters for tiering cost info for rehydration

TieringCostSavingInfo

Response parameters for tiering cost info for savings

ErrorDetail

Error Detail class which encapsulates Code, Message and Recommendations.

Name Type Description
code

string

Error code.

message

string

Error Message related to the Code.

recommendations

string[]

List of recommendation strings.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FetchTieringCostInfoForRehydrationRequest

Request parameters for fetching cost info of rehydration

Name Type Description
containerName

string

Name of the protected item container

objectType string:

FetchTieringCostInfoForRehydrationRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

protectedItemName

string

Name of the protectedItemName

recoveryPointId

string

ID of the backup copy for rehydration cost info needs to be fetched.

rehydrationPriority

RehydrationPriority

Rehydration Priority

sourceTierType

RecoveryPointTierType

Source tier for the request

targetTierType

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForPolicyRequest

Request parameters for tiering cost info for policy

Name Type Description
objectType string:

FetchTieringCostSavingsInfoForPolicyRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

policyName

string

Name of the backup policy for which the cost savings information is requested

sourceTierType

RecoveryPointTierType

Source tier for the request

targetTierType

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForProtectedItemRequest

Request parameters for tiering cost info for protected item

Name Type Description
containerName

string

Name of the protected item container

objectType string:

FetchTieringCostSavingsInfoForProtectedItemRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

protectedItemName

string

Name of the protectedItemName

sourceTierType

RecoveryPointTierType

Source tier for the request

targetTierType

RecoveryPointTierType

target tier for the request

FetchTieringCostSavingsInfoForVaultRequest

Request parameters for tiering cost info for vault

Name Type Description
objectType string:

FetchTieringCostSavingsInfoForVaultRequest

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

sourceTierType

RecoveryPointTierType

Source tier for the request

targetTierType

RecoveryPointTierType

target tier for the request

RecoveryPointTierType

Recovery point tier type.

Value Description
Invalid
InstantRP
HardenedRP
ArchivedRP
IASnapshotRP

Instant Access snapshot tier, retained for the policy's instantAccessDurationMinutes.

RehydrationPriority

Rehydration Priority

Value Description
Standard
High

TieringCostRehydrationInfo

Response parameters for tiering cost info for rehydration

Name Type Description
objectType string:

TieringCostRehydrationInfo

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

rehydrationSizeInBytes

integer (int64)

Rehydration size in bytes

retailRehydrationCostPerGBPerMonth

number (double)

Source tier to target tier rehydration cost per GB per month

TieringCostSavingInfo

Response parameters for tiering cost info for savings

Name Type Description
objectType string:

TieringCostSavingInfo

This property will be used as the discriminator for deciding the specific types in the polymorphic chain of types.

retailSourceTierCostPerGBPerMonth

number (double)

Source tier retail cost per GB per month

retailTargetTierCostPerGBPerMonth

number (double)

Target tier retail cost per GB per month

sourceTierSizeReductionInBytes

integer (int64)

Source tier size reduction in bytes after moving all the recommended backup points to target tier

targetTierSizeIncreaseInBytes

integer (int64)

Target tier size increase in bytes after moving all the recommended backup points to target tier